Hanzo
API Reference

Hanzo Console API

Hanzo Console is an LLM engineering platform for observability, prompt management,

Hanzo Console is an LLM engineering platform for observability, prompt management,

Base URLhttps://console.hanzo.ai
Version1.0.0
Operations67
GuideHanzo Console API guide

Authentication

  • bearerAuth — HTTP bearer
  • basicAuth — HTTP basic
  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://console.hanzo.ai

Endpoints

Annotation Queues

MethodEndpointDescription
GET/v1/console/annotation-queuesGet all annotation queues
POST/v1/console/annotation-queuesCreate an annotation queue
GET/v1/console/annotation-queues/{queueId}Get an annotation queue
GET/v1/console/annotation-queues/{queueId}/itemsGet items for an annotation queue

Comments

MethodEndpointDescription
GET/v1/console/commentsGet all comments
POST/v1/console/commentsCreate a comment
GET/v1/console/comments/{commentId}Get a comment by ID

Dataset Items

MethodEndpointDescription
GET/v1/console/dataset-itemsGet dataset items
POST/v1/console/dataset-itemsCreate or upsert a dataset item
GET/v1/console/dataset-items/{id}Get a dataset item
DELETE/v1/console/dataset-items/{id}Delete a dataset item

Dataset Run Items

MethodEndpointDescription
POST/v1/console/dataset-run-itemsCreate a dataset run item

Datasets

MethodEndpointDescription
GET/v1/console/datasetsGet all datasets
POST/v1/console/datasetsCreate a dataset
GET/v1/console/datasets/{datasetName}Get a dataset by name
GET/v1/console/datasets/{datasetName}/runsGet dataset runs
GET/v1/console/datasets/{datasetName}/runs/{runName}Get a dataset run and its items
DELETE/v1/console/datasets/{datasetName}/runs/{runName}Delete a dataset run and all its run items

Health

MethodEndpointDescription
GET/v1/console/healthCheck health of API and database

Ingestion

MethodEndpointDescription
POST/v1/console/otel/v1/tracesIngest OpenTelemetry traces
POST/v1/console/otel/v1/metricsIngest OpenTelemetry metrics

Media

MethodEndpointDescription
POST/v1/console/mediaGet a presigned upload URL for a media record
GET/v1/console/media/{mediaId}Get a media record
PATCH/v1/console/media/{mediaId}Patch a media record (update upload status)

Metrics

MethodEndpointDescription
GET/v1/console/metricsGet metrics from the project
GET/v1/console/metrics/dailyGet daily metrics

Models

MethodEndpointDescription
GET/v1/console/modelsGet all models
POST/v1/console/modelsCreate a model definition
GET/v1/console/models/{id}Get a model by ID
DELETE/v1/console/models/{id}Delete a model

Observations

MethodEndpointDescription
GET/v1/console/observationsGet a list of observations
GET/v1/console/observations/{observationId}Get an observation by ID

Organizations

MethodEndpointDescription
GET/v1/console/projects/{projectId}/membershipsGet all memberships for a project
PUT/v1/console/projects/{projectId}/membershipsCreate or update a project membership
DELETE/v1/console/projects/{projectId}/membershipsDelete a project membership
GET/v1/console/organizations/membershipsGet all memberships for the organization
PUT/v1/console/organizations/membershipsCreate or update an organization membership
DELETE/v1/console/organizations/membershipsDelete an organization membership
GET/v1/console/organizations/projectsGet all projects for the organization
GET/v1/console/organizations/apiKeysGet all API keys for the organization

Projects

MethodEndpointDescription
GET/v1/console/projectsGet project associated with API key
POST/v1/console/projectsCreate a new project (requires organization-scoped API key)
GET/v1/console/projects/{projectId}Get a project by ID
PUT/v1/console/projects/{projectId}Update a project
DELETE/v1/console/projects/{projectId}Delete a project (async)
GET/v1/console/projects/{projectId}/apiKeysGet all API keys for a project
POST/v1/console/projects/{projectId}/apiKeysCreate an API key for a project
DELETE/v1/console/projects/{projectId}/apiKeys/{apiKeyId}Delete a project API key

Prompts

MethodEndpointDescription
GET/v1/console/promptsGet a list of prompt names with versions and labels
POST/v1/console/promptsCreate a new prompt version
GET/v1/console/prompts/{promptName}Get a prompt by name
DELETE/v1/console/prompts/{promptName}Delete prompt versions
GET/v1/console/prompts/{promptName}/versions/{promptVersion}Get a specific prompt version

Score Configs

MethodEndpointDescription
GET/v1/console/score-configsGet all score configs
POST/v1/console/score-configsCreate a score config
GET/v1/console/score-configs/{configId}Get a score config
PATCH/v1/console/score-configs/{configId}Update a score config

Scores

MethodEndpointDescription
GET/v1/console/scoresGet all scores
POST/v1/console/scoresCreate a score
GET/v1/console/scores/{scoreId}Get a score by ID
DELETE/v1/console/scores/{scoreId}Delete a score

Sessions

MethodEndpointDescription
GET/v1/console/sessionsGet sessions
GET/v1/console/sessions/{sessionId}Get a session with its traces

Traces

MethodEndpointDescription
GET/v1/console/tracesGet list of traces
DELETE/v1/console/tracesDelete multiple traces
GET/v1/console/traces/{traceId}Get a specific trace with full details
DELETE/v1/console/traces/{traceId}Delete a specific trace

Hanzo Console API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page